import java.io.*;
import java.net.*;

public class ImageHandler
{
OutputStream m_OutStream;

public ImageHandler(OutputStream pOut, String sContentType, String sFilename)
{ 
	m_OutStream = pOut;
	
	byte[] data = getImage(sFilename);
	try{
			// Send the text header
			PrintStream m_POut = new PrintStream(m_OutStream);								
			m_POut.print(  "Accept-Ranges: bytes\n"
							        +"Content-Length: "+data.length+"\n"
								    +"Connection: close\n"
								   	+"Content-Type: "+sContentType+"\n\n"
							        );
									
			// Send the image data
			DataOutputStream m_DOut = new DataOutputStream(m_OutStream);									
			m_DOut.write(data, 0, data.length);
		}
		catch(Exception e)
		{
			System.out.println(e);
		}	
}

byte[] getImage(String filename)
{
	try	
    {
		byte[] data;
		File F = new File(filename);
		FileInputStream fin = new FileInputStream(F);
		int filesize = (int)F.length();
		data = new byte[filesize];
		fin.read (data, 0, filesize);
		fin.close();
		return data;
	}
    catch (Exception e)
    {
		System.out.println("ImageHandler.getImage() - "+e+"");
        //return getErrorMessage(404);//System.out.println("File Not Found: "+e);
    }
	return null;
}

}